@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('/fonts/Atkinson/AtkinsonHyperlegible-Regular.ttf');
    font-weight: normal;
    font-style: normal;
   }

@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('/fonts/Atkinson/AtkinsonHyperlegible-Bold.ttf');
    font-weight: bold;
    font-style: normal;
   } 

@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('/fonts/Atkinson/AtkinsonHyperlegible-BoldItalic.ttf');
    font-weight: bold;
    font-style: italic;
   } 

@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('/fonts/Atkinson/AtkinsonHyperlegible-Italic.ttf');
    font-weight: normal;
    font-style: italic;
   }  

:root {
    --color: #f2ead4;
    --background: #020605;
    
    --link: #318150;
    --linkhover: #f2ead4;
    
    --formbg: #318150;
    --formcolor: #f2ead4;
    
    --accentbg: #24211c;
    --hr: #f2ead4;
	
	--headerfont1:  Georgia, serif;
	--headerfont2: 'Atkinson Hyperlegible', sans-serif;
	--mainfont: 'Atkinson Hyperlegible', sans-serif;
	
	--imageBackground: url("/img/bg4.jpg");
}

@media (prefers-color-scheme: dark) {
    :root {
    --color: #f2ead4;
    --background: #020605;
    
    --link: #318150;
    --linkhover: #f2ead4;
    
    --formbg: #318150;
    --formcolor: #f2ead4;
    
    --accentbg: #24211c;
    --hr: #f2ead4;
    }
}

/* ------ MAIN ------- */
* { margin: 0; padding: 0; transition:0.2s ease;}

body { 
    color:var(--color);
    background:var(--background);
    font: 1rem var(--mainfont); 
    letter-spacing:.35px;
	background-color: var(--background);
	background-image: var(--imageBackground);
	background-repeat: no-repeat;
	background-position: center;
    background-size: cover;
    background-attachment: fixed;
}

main {
    padding:5px;
    width: 90%;
    max-width: 1200px;
    margin:10px auto;
}

article {
    max-width: 100%;
    padding: 5px;
    margin-top: 0 auto;
}

section {
	border: 0.5px solid var(--hr);
	padding: 5px 15px;
	margin: 5px;
	background: var(--background);
}

footer {
	position: sticky;
	max-width: 100%;
    text-align: right;
    border-top: 0.5px dotted var(--hr);
    margin: 10px 0 0 0;
    padding: 0 1em;
	font-size: 0.8em;
}
/* ------ MAIN ------- */




/* ------ NAV ------- */
#nav {
	font-size: 1.1em;
	font-family: var(--mainfont);
}

#nav ul {
	margin: 5px 5px 5px 10px;
	padding: 1px;
}

#nav ul li {
	margin:2.5px 0 2.5px 0;
}

#nav ul.nest, main ul.nest {
	margin-left: 10px;
	list-style-type:  '↳ ';
	list-style-position: outside;
	border:0.5px dotted var(--hr);
	padding: 2.5px 0 2.5px 20px;
}

#nav ul.nest li, main ul.nest {
	margin-left: 20px;
}

#nav ul.nest li:last-child {
	border-bottom: none;
}

@media screen and (max-width: 600px) {
    img {
		max-width: 250px;
	}
}
/* ------ NAV ------- */




/* ------ FLEX ------- */
.flexcontainer {
    display: flex;
    flex-wrap: wrap;
    margin: auto;
	align-items: flex-start;
}

.full { flex: 1 1 100%;}
.half { flex: 1 1 45%; }
.third { flex: 1 1 33%; }
.twothird { flex: 1 1 60%; }
.quarter { flex: 1 1 20%; }
.threequarter { flex: 1 1 70%; }

@media screen and (max-width: 600px) {
    .flexcontainer {
        display:block;
    }
	
	.full, .half, .third, .twothird, .quarter, .threequarter { flex: 1 1 100%;}
 
}
/* ------ FLEX ------- */



/* ------ ACCES ------- */
.tabwrap section {
	display: none;
}

.tabwrap section:target {
	display:block;
}

#skip a {
    position:absolute;
    display:inline-block;
    left:0px;
    top:-1000px;
    overflow:hidden;
    transition:top 0.5s ease;
    background:var(--background);
    color:var(--link);
    z-index:1000;
    padding:5px;
}
 
#skip a:focus {
    top: 0;
    transition:top 0.5s ease;
}
/* ------ ACCES ------- */



/* ------ ACCENT ------- */
strong {
	text-decoration: 1px dotted underline;
}

strong.they {
	color: #5CACBC;
	}
	
strong.he {
	color: #B485DF;
	}

.action {
	background:  #2F2F2F;
}
/* ------ ACCENT ------- */



/* ------ DETAILS ------- */
a {
    color:var(--link);
}

a:hover {
    color: var(--linkhover);
}

li a {
    text-decoration: underline 1px dotted var(--hr);
}

img { margin:5px 2.5px; max-width:100%; }

p {
    margin:10px 0px 5px 0px;
    line-height:1.5;
	padding: 2px 3px;
}

main h1, h2, h3, h4, h5 {
	background: var(--accentbg);
	margin: 5px 0 5px 0;
	padding: 3px 0 3px 15px;
}

main h1 {
    font:2em var(--headerfont1); 
}

main h2 {
    font:1.8em var(--headerfont1);
}

main h3 {
    font: 1.5em var(--headerfont2);
}

main h4 {
    font:1em var(--headerfont2);
    font-style:italic;
}

main input, textarea, select, button { 
    background: var(--formbg);  
    color: var(--formcolor);
    font: 1rem sans-serif; 
    border: 1px solid var(--hr); 
    padding: 5px; 
    margin: 5px;
    border-radius:5px;
}

main textarea {
    width:90%;
}

audio, video, iframe {
	display: block;
	margin: auto;
	border: 1px solid var(--hr);
	box-shadow: 0.3em 0.3em var(--background);
}

main table {
    margin:10px auto 10px auto;
    padding:5px;
    width:100%;
    border-collapse:collapse;
}

main th {
    border-bottom:1px solid var(--hr);
    padding:5px;
    text-align:left;
}

main td {
    padding:3px;
}

main tr:nth-child(2n) {
    background:var(--accentbg);
}

main blockquote {
    padding:10px;
    border-left:10px solid var(--hr);
    background:var(--accentbg);
}

main blockquote cite {
    font-size:0.95em;
    position:relative;
    right:0;
}

main hr {
    border:0.5px solid var(--hr);
    margin:5px auto 5px auto;
}

main pre {
    padding:5px;
    background:var(--accentbg);
    margin: 10px auto 10px auto;
    border: 1px solid var(--hr);
    overflow:auto;
}
/* ------ DETAILS ------- */



/* ------ LISTS ------- */
main ul, ol { 
    list-style-position: outside;
	list-style-type: square;
    margin: 5px 0 5px 20px;
}

main li {
    margin:5px 0 5px 0;
    line-height:1.5;
}

main ul li ul, main ol li ol {
    margin-left:15px;
}

ul.todo {
	list-style-type: '☐';
}

ul.todo li {
	padding-left: 10px;
}

li.done {
	list-style-type: '☒';
}

ul.inline {
	margin: 0.2em 0;
	padding: 0;
	list-style-type: none;
	font-size: 1.2em;
}

ul.inline li, ul.inline li a {
	display: inline-block;
	padding: 0.1em 2px;
	margin: 4px 2px;
	text-decoration: none;
}

ul.inline li, ul.inline li:hover {
	background: transparent;
}

ul.inline li a {
  background: var(--linkhover);
	color: var(--block);
}

ul.inline li:hover, ul.inline li a:hover {
	text-decoration: none;
	font-style: normal;
}

ul.inline li a:hover {
  	background: var(--block);
	color: var(--link);
}
/* ------ LISTS ------- */

@media (prefers-color-scheme: dark) {

    main img {
        opacity:0.6;
    }
    
    main img:hover {
        opacity: 1;
    }

    main a img:hover {
        opacity:1;
    }
}